OGV thumbnails can have artifacts (squares)
OpenPublic

Description

Author: M8R-udfkkf

Description:
Screenshot of the gallery of recently uploaded files for Open Access Media Importer Bot showing the corrupted thumbnails.

Some of the .ogv media uploaded by the Open Access Media Bot on the commons (https://commons.wikimedia.org/wiki/User:Open_Access_Media_Importer_Bot) has corrupted thumbnails, though the media plays fine in FF. The corruption is an overlay of grey squares throughout the thumbnail.

Some media which has corrupted thumbnails:
https://commons.wikimedia.org/wiki/File:Fluxes-of-Water-through-Aquaporin-9-Weaken-Membrane-Cytoskeleton-Anchorage-and-Promote-Formation-of-pone.0059901.s003.ogv

https://commons.wikimedia.org/wiki/File:Functional-Impairment-of-Microglia-Coincides-with-Beta-Amyloid-Deposition-in-Mice-with-Alzheimer-pone.0060921.s004.ogv

https://commons.wikimedia.org/wiki/File:Low-Volume-Toolbox-for-the-Discovery-of-Immunosuppressive-Fungal-Secondary-Metabolites-ppat.1003289.s002.ogv


Version: unspecified
Severity: minor
URL: https://commons.wikimedia.org/wiki/User:Open_Access_Media_Importer_Bot

Attached:

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz47465.
bzimport created this task.Via LegacyApr 21 2013, 1:36 AM
Aklapper added a comment.Via ConduitApr 22 2013, 8:20 AM

I wouldn't call these thumbnails "corrupted", there are some thumbnail compression artifacts though.

After downloading two media files, one with a "normal" thumbnail and one with a "corrupted" one, I have the same problem on my local computer (for the "corrupted" one, totem-video-thumbnailer does not create a thumbnail at all).

Is there a reason to assume that the software on the servers is faulty, instead of the video file?

Aklapper added a comment.Via ConduitApr 22 2013, 9:49 AM

Jan: Is there anything in this report that could be fixed on our side?

bzimport added a comment.Via ConduitApr 23 2013, 12:44 AM

M8R-udfkkf wrote:

The videos play fine in Firefox 20 and VLC, so it appears to be a thumbnailer issue.

bzimport added a comment.Via ConduitApr 23 2013, 9:57 AM

jgerber wrote:

This is a limitation/bug of libav/ffmpeg regarding ogg theora videos with large gaps between keyframes. We might be able to tune this but some videos will fail unless libav/ffmpeg is fixed to decode from the previous keyframe.

bzimport added a comment.Via ConduitSep 27 2013, 9:14 AM

nils+bugzilla.wikimedia.org wrote:

Developer of the Open Access Media Importer here, the libav/ffmpeg situation is worse than you think. However, there are thumbnail solutions that work, like the Ogg Video Tools http://www.streamnik.de/oggvideotools.html.

More at https://github.com/erlehmann/open-access-media-importer/issues/105.

bzimport added a comment.Via ConduitSep 27 2013, 11:17 AM

jgerber wrote:

One way to improve this would be to force more keyframes. currently TMH has a hard limit of how fare back it looks for the previous keyfr
ame.
Another option would be to switch Open Access Media Importer from Ogg (Theora/Vorbis) to WebM (VP8/Vorbis)

bzimport added a comment.Via ConduitSep 27 2013, 11:48 AM

nils+bugzilla.wikimedia.org wrote:

Looking at the code, it already tries to use OggThumb. As I OggThumb does not produces garbage thumbnails, why not just install it?

https://git.wikimedia.org/blob/mediawiki%2Fextensions%2FTimedMediaHandler.git/83fc3186a3aabce5406814c29294f6bc2d90ca54/TimedMediaThumbnail.php

gerritbot added a comment.Via ConduitSep 27 2013, 11:56 AM

Change 86243 had a related patch set uploaded by J:
Fix thumbnails for low framerate Ogg Theora Videos

https://gerrit.wikimedia.org/r/86243

bzimport added a comment.Via ConduitSep 27 2013, 11:57 AM

jgerber wrote:

OggThumb is no longer used since videos are accessed via http to extract frames and OggThumb does not support that.
Above patch calculates the seek offset based on framerate and fixes thumbnails for the videos linked above.

gerritbot added a comment.Via ConduitOct 11 2013, 8:04 PM

Change 86243 merged by Aaron Schulz:
Fix thumbnails for low framerate Ogg Theora Videos

https://gerrit.wikimedia.org/r/86243

Gilles added a project: Multimedia.Via WebNov 24 2014, 3:11 PM

Add Comment